-This app won’t work with your device- message in Google Play Store - PIX4Dcapture Pro

Follow

Description

When trying to download PIX4Dcapture Pro from the Google Play Store, the message This app won’t work with your device appears.

Cause

The version selected for download in the Google Play Store is not compatible with the current device.

Solution

Use an Android device with the following requirements:

  • Android 7.0 and above
  • ARM64 architecture

(information valid for PIX4Dcapture Pro version 1.2.4)

Was this article helpful?
0 out of 0 found this helpful

Article feedback (for troubleshooting, post here instead)

0 comments

Article is closed for comments.